summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Emmanuel N. Millán <emmanueln@gmail.com>2015-08-19 05:55:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-21 03:25:02 +0700
commit6ac3d63979b80e5f18535fad3b50d9e4c5d4cf9b (patch)
tree8bd04af9d655515df8d3ceea02243153a8552e69 /network
parentf67e406bc2416812041a4cfa9225bf48c626e775 (diff)
downloadslackbuilds-6ac3d63979b80e5f18535fad3b50d9e4c5d4cf9b.tar.gz
slackbuilds-6ac3d63979b80e5f18535fad3b50d9e4c5d4cf9b.tar.xz
network/munge: Added (an authentication service).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/munge/README17
-rw-r--r--network/munge/doinst.sh26
-rw-r--r--network/munge/munge.SlackBuild109
-rw-r--r--network/munge/munge.info10
-rw-r--r--network/munge/slack-desc19
5 files changed, 181 insertions, 0 deletions
diff --git a/network/munge/README b/network/munge/README
new file mode 100644
index 0000000000..3f2a3ad795
--- /dev/null
+++ b/network/munge/README
@@ -0,0 +1,17 @@
+MUNGE (MUNGE Uid 'N' Gid Emporium) is an authentication service for creating and validating credentials.
+
+It is designed to be highly scalable for use in an HPC cluster environment.
+It allows a process to authenticate the UID and GID of another local or remote process
+within a group of hosts having common users and groups. These hosts form a security realm
+that is defined by a shared cryptographic key. Clients within this security realm can create
+and validate credentials without the use of root privileges, reserved ports, or platform-specific methods.
+
+On most platforms, the munged daemon does not require root privileges to run.
+If possible, you should run the daemon as a non-privileged user.
+This can be specified in the init script /etc/rc.d/rc.munge.
+
+# groupadd -g 310 munge
+# useradd -u 310 -d /var/lib/munge -s /bin/false -g munge munge
+
+After installation a secret key file needs to be created. Follow instructions from:
+https://github.com/dun/munge/wiki/Installation-Guide#creating-a-secret-key
diff --git a/network/munge/doinst.sh b/network/munge/doinst.sh
new file mode 100644
index 0000000000..c38dbdaa81
--- /dev/null
+++ b/network/munge/doinst.sh
@@ -0,0 +1,26 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+preserve_perms() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ -e $OLD ]; then
+ cp -a $OLD ${NEW}.incoming
+ cat $NEW > ${NEW}.incoming
+ mv ${NEW}.incoming $NEW
+ fi
+ config $NEW
+}
+
+preserve_perms etc/rc.d/rc.munge.new
+config etc/default/munge.new
diff --git a/network/munge/munge.SlackBuild b/network/munge/munge.SlackBuild
new file mode 100644
index 0000000000..1caf5b2b4e
--- /dev/null
+++ b/network/munge/munge.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh -e
+
+# Slackware build script for Munge
+
+# Copyright 2015 Emmanuel N. Millán, Mendoza, Argentina.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=munge
+VERSION=${VERSION:-0.5.11}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+DOCS="AUTHORS COPYING COPYING.LESSER DISCLAIMER.LLNS DISCLAIMER.UC \
+ HISTORY INSTALL JARGON META NEWS PLATFORMS QUICKSTART README README.MULTILIB"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --sysconfdir=/etc \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+# Remove systemd files
+rm -rf $PKG/usr/lib/systemd/
+
+mv $PKG/etc/rc.d/init.d/munge $PKG/etc/rc.d/rc.munge.new
+mv $PKG/etc/default/munge $PKG/etc/default/munge.new
+rm -rf $PKG/etc/rc.d/init.d/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/munge/munge.info b/network/munge/munge.info
new file mode 100644
index 0000000000..f923cca364
--- /dev/null
+++ b/network/munge/munge.info
@@ -0,0 +1,10 @@
+PRGNAM="munge"
+VERSION="0.5.11"
+HOMEPAGE="http://dun.github.io/munge/"
+DOWNLOAD="https://github.com/dun/munge/releases/download/munge-0.5.11/munge-0.5.11.tar.bz2"
+MD5SUM="bd8fca8d5f4c1fcbef1816482d49ee01"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Emmanuel N. Millán"
+EMAIL="emmanueln@gmail.com"
diff --git a/network/munge/slack-desc b/network/munge/slack-desc
new file mode 100644
index 0000000000..00aa144489
--- /dev/null
+++ b/network/munge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+munge: munge (an authentication service)
+munge:
+munge: MUNGE is an authentication service for creating and validating
+munge: credentials. It is designed to be highly scalable for use in an HPC
+munge: cluster environment. It allows a process to authenticate the UID and
+munge: GID of another local or remote process within a group of hosts having
+munge: common users and groups.
+munge:
+munge:
+munge:
+munge: http://dun.github.io/munge/